Search Messages
curl --request GET \
--url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"messages": [
{
"inbox_id": "<string>",
"thread_id": "<string>",
"message_id": "<string>",
"labels": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z",
"from": "<string>",
"to": [
"<string>"
],
"size": 123,
"updated_at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"cc": [
"<string>"
],
"bcc": [
"<string>"
],
"subject": "<string>",
"preview": "<string>",
"attachments": [
{
"attachment_id": "<string>",
"size": 123,
"filename": "<string>",
"content_type": "<string>",
"content_disposition": "inline",
"content_id": "<string>"
}
],
"in_reply_to": "<string>",
"references": [
"<string>"
],
"headers": {},
"highlights": {
"from": [
"<string>"
],
"recipients": [
"<string>"
],
"subject": [
"<string>"
],
"text": [
"<string>"
]
}
}
],
"limit": 123,
"next_page_token": "<string>"
}{
"name": "<string>",
"errors": "<unknown>"
}{
"name": "<string>",
"message": "<string>"
}Messages
Search Messages
Full-text search across one inbox’s messages.
GET
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
messages
/
search
Search Messages
Full-text search across one inbox’s messages. Returns
count, limit, next_page_token and messages; page with next_page_token. Same message fields as get_agentmail_inbox_messages, which is the one to use when you want everything in date order rather than a query. Searching conversations instead of individual messages is get_agentmail_inbox_threads_search.
Example
curl -X GET "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/messages/search" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer authentication
Path Parameters
The ID of the inbox.
Query Parameters
Full-text search query. Matched against the sender, recipients, and subject (substring) and the message body (tokenized full text).
Limit of number of items returned.
Page token for pagination.
Timestamp before which to filter by.
Timestamp after which to filter by.